Bug 259588 - databases/py-peewee_migrate: Update to 1.4.7
Summary: databases/py-peewee_migrate: Update to 1.4.7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Hiroki Tagato
URL: https://github.com/klen/peewee_migrat...
Keywords: easy, needs-patch
Depends on:
Blocks:
 
Reported: 2021-11-01 12:06 UTC by Goran Mekić
Modified: 2022-01-02 05:25 UTC (History)
2 users (show)

See Also:
meka: maintainer-feedback+


Attachments
peewee-migrate.diff (1.57 KB, patch)
2021-11-01 12:06 UTC, Goran Mekić
meka: maintainer-approval+
Details | Diff
peewee-migrate.diff (2.32 KB, patch)
2021-11-18 09:49 UTC, Goran Mekić
meka: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Goran Mekić 2021-11-01 12:06:40 UTC
Created attachment 229189 [details]
peewee-migrate.diff

QA:
  * portlint: OK (looks fine.)
  * testport: OK (poudriere: 13.0, amd64 tested)
  * maketest: OK (17 passed)
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2021-11-02 00:51:53 UTC
Upstream added 3.10 support. Could you cap USES=python <version-spec> accordingly, thanks!
Comment 2 Goran Mekić 2021-11-18 09:49:11 UTC
Created attachment 229567 [details]
peewee-migrate.diff
Comment 3 commit-hook freebsd_committer 2022-01-02 05:23:46 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=1e1a6eb1f8fd8dd19210ea2d5f5342b6a13761e8

commit 1e1a6eb1f8fd8dd19210ea2d5f5342b6a13761e8
Author:     Goran Mekić <meka@tilda.center>
AuthorDate: 2022-01-02 05:21:32 +0000
Commit:     Hiroki Tagato <tagattie@FreeBSD.org>
CommitDate: 2022-01-02 05:21:32 +0000

    databases/py-peewee_migrate: update to 1.4.7

    Changelog: https://github.com/klen/peewee_migrate/blob/1.4.7/Changelog

    PR:             259588
    Reported by:    Goran Mekić <meka@tilda.center> (maintainer)
    Reviewed by:    koobs

 databases/py-peewee_migrate/Makefile | 19 ++++++++++++-------
 databases/py-peewee_migrate/distinfo |  6 +++---
 2 files changed, 15 insertions(+), 10 deletions(-)
Comment 4 Hiroki Tagato freebsd_committer 2022-01-02 05:25:44 UTC
Committed, thanks!